package coproblem;

public class MaxSumResult {
	
	
	private int numNodes;
	private int averageConnectionsPerNode;
	private double utility;
	private long completionTime;
	private double commOverhead;
	
	public MaxSumResult() {}
	
	public MaxSumResult(int nn, int acn, double u, long ct, double co) {
		numNodes = nn;
		averageConnectionsPerNode = acn;
		utility = u;
		completionTime = ct;
		commOverhead = co;
	}
	
	public int getAverageConnectionsPerNode() {
		return averageConnectionsPerNode;
	}
	
	public double getCommOverhead() {
		return commOverhead;
	}
	
	public long getCompletionTime() {
		return completionTime;
	}
	
	public int getNumNodes() {
		return numNodes;
	}
	
	public double getUtility() {
		return utility;
	}

	public void setAverageConnectionsPerNode(int averageConnectionsPerNode) {
		this.averageConnectionsPerNode = averageConnectionsPerNode;
	}
	
	public void setCommOverhead(double commOverhead) {
		this.commOverhead = commOverhead;
	}
	
	public void setCompletionTime(long completionTime) {
		this.completionTime = completionTime;
	}
	
	public void setNumNodes(int numNodes) {
		this.numNodes = numNodes;
	}
	
	public void setUtility(double utility) {
		this.utility = utility;
	}
	
	public String toCVS() {
		StringBuffer sb = new StringBuffer();
		sb.append(numNodes);
		sb.append(',');
		sb.append(averageConnectionsPerNode);
		sb.append(',');
		sb.append(utility);
		sb.append(',');
		sb.append(completionTime);
		sb.append(',');			
		sb.append(commOverhead);
		return sb.toString();
	}

}
